<?php
require_once(getabspath("classes/cipherer.php"));
$tdatacategoria = array();
	$tdatacategoria[".NumberOfChars"] = 80; 
	$tdatacategoria[".ShortName"] = "categoria";
	$tdatacategoria[".OwnerID"] = "";
	$tdatacategoria[".OriginalTable"] = "categoria";

//	field labels
$fieldLabelscategoria = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscategoria["Spanish"] = array();
	$fieldToolTipscategoria["Spanish"] = array();
	$fieldLabelscategoria["Spanish"]["idcategoria"] = "Idcategoria";
	$fieldToolTipscategoria["Spanish"]["idcategoria"] = "";
	$fieldLabelscategoria["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipscategoria["Spanish"]["nombre"] = "";
	if (count($fieldToolTipscategoria["Spanish"]))
		$tdatacategoria[".isUseToolTips"] = true;
}
	
	
	$tdatacategoria[".NCSearch"] = true;



$tdatacategoria[".shortTableName"] = "categoria";
$tdatacategoria[".nSecOptions"] = 0;
$tdatacategoria[".recsPerRowList"] = 1;
$tdatacategoria[".mainTableOwnerID"] = "";
$tdatacategoria[".moveNext"] = 1;
$tdatacategoria[".nType"] = 0;

$tdatacategoria[".strOriginalTableName"] = "categoria";




$tdatacategoria[".showAddInPopup"] = false;

$tdatacategoria[".showEditInPopup"] = false;

$tdatacategoria[".showViewInPopup"] = false;

$tdatacategoria[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatacategoria[".listAjax"] = true;
else 
	$tdatacategoria[".listAjax"] = false;

	$tdatacategoria[".audit"] = false;

	$tdatacategoria[".locking"] = false;

$tdatacategoria[".inlineEdit"] = true;
$tdatacategoria[".inlineAdd"] = true;

$tdatacategoria[".exportTo"] = true;


$tdatacategoria[".delete"] = true;

$tdatacategoria[".showSimpleSearchOptions"] = false;

$tdatacategoria[".showSearchPanel"] = true;

if (isMobile())
	$tdatacategoria[".isUseAjaxSuggest"] = false;
else 
	$tdatacategoria[".isUseAjaxSuggest"] = true;

$tdatacategoria[".rowHighlite"] = true;

// button handlers file names

$tdatacategoria[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacategoria[".isUseTimeForSearch"] = false;




$tdatacategoria[".allSearchFields"] = array();

$tdatacategoria[".allSearchFields"][] = "nombre";

$tdatacategoria[".googleLikeFields"][] = "idcategoria";
$tdatacategoria[".googleLikeFields"][] = "nombre";


$tdatacategoria[".advSearchFields"][] = "nombre";

$tdatacategoria[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatacategoria[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacategoria[".strOrderBy"] = $tstrOrderBy;

$tdatacategoria[".orderindexes"] = array();

$tdatacategoria[".sqlHead"] = "SELECT idcategoria,   nombre";
$tdatacategoria[".sqlFrom"] = "FROM categoria";
$tdatacategoria[".sqlWhereExpr"] = "";
$tdatacategoria[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacategoria[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacategoria[".arrGroupsPerPage"] = $arrGPP;

$tableKeyscategoria = array();
$tableKeyscategoria[] = "idcategoria";
$tdatacategoria[".Keys"] = $tableKeyscategoria;

$tdatacategoria[".listFields"] = array();
$tdatacategoria[".listFields"][] = "nombre";

$tdatacategoria[".viewFields"] = array();

$tdatacategoria[".addFields"] = array();
$tdatacategoria[".addFields"][] = "nombre";

$tdatacategoria[".inlineAddFields"] = array();
$tdatacategoria[".inlineAddFields"][] = "nombre";

$tdatacategoria[".editFields"] = array();

$tdatacategoria[".inlineEditFields"] = array();
$tdatacategoria[".inlineEditFields"][] = "nombre";

$tdatacategoria[".exportFields"] = array();
$tdatacategoria[".exportFields"][] = "nombre";

$tdatacategoria[".printFields"] = array();

//	idcategoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idcategoria";
	$fdata["GoodName"] = "idcategoria";
	$fdata["ownerTable"] = "categoria";
	$fdata["Label"] = "Idcategoria"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idcategoria"; 
		$fdata["FullName"] = "idcategoria";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacategoria["idcategoria"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "categoria";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatacategoria["nombre"] = $fdata;

	
$tables_data["categoria"]=&$tdatacategoria;
$field_labels["categoria"] = &$fieldLabelscategoria;
$fieldToolTips["categoria"] = &$fieldToolTipscategoria;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["categoria"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["categoria"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_categoria()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idcategoria,   nombre";
$proto0["m_strFrom"] = "FROM categoria";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idcategoria",
	"m_strTable" => "categoria"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "categoria"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "categoria";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idcategoria";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_categoria = createSqlQuery_categoria();
		$tdatacategoria[".sqlquery"] = $queryData_categoria;
	
if(isset($tdatacategoria["field2"])){
	$tdatacategoria["field2"]["LookupTable"] = "carscars_view";
	$tdatacategoria["field2"]["LookupOrderBy"] = "name";
	$tdatacategoria["field2"]["LookupType"] = 4;
	$tdatacategoria["field2"]["LinkField"] = "email";
	$tdatacategoria["field2"]["DisplayField"] = "name";
	$tdatacategoria[".hasCustomViewField"] = true;
}

$tableEvents["categoria"] = new eventsBase;
$tdatacategoria[".hasEvents"] = false;

$cipherer = new RunnerCipherer("categoria");

?>